#ifndef LCD_H_QWERTY
#define LCD_H_QWERTY

#include <inttypes.h>
#include <avr/pgmspace.h>

#define DISP_FLIP_NORM      0
#define DISP_FLIP_HORVER    1
#define DISP_FLIP_VERT      2
#define DISP_FLIS_HOR       3

void disp_init(void);

void disp_string(uint8_t posy, uint8_t posx, const char* str);

void disp_send_cmd(uint8_t cmd[], uint8_t size);
void disp_send_data(uint8_t data[], uint16_t size);

void disp_set_invert(bool invert);
void disp_set_sleep(bool sleep);
void disp_set_contrast(uint8_t contrast);

void disp_clear(void);
void disp_flip(uint8_t flipping);

#endif
